tt_message_disposition(library call)

NAME
tt_message_disposition — retrieve the disposition attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_disposition tt_message_disposition(
Tt_message m);

DESCRIPTION

The tt_message_disposition function retrieves the disposition attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_disposition function returns a value that indicates whether an instance of the receiving process should be started to receive the message immediately, or whether the message is to be queued until the receiving process is started at a later time. The tt_message_disposition function returns one of the following Tt_disposition values:

TT_DISCARD
    There is no receiver for this message. The message will be returned to the sender with the Tt_status field containing TT_FAILED.

TT_QUEUE
    Queue the message until a process of the proper ptype receives the message.

TT_START
    Attempt to start a process of the proper ptype if none is running.

TT_QUEUE+TT_START
    Queue the message and attempt to start a process of the proper ptype if none is running.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_disposition integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).